@import "variables.scss";

.bx_filter .bx_filter_section {
  position: relative;
  background-color: #fcfcfc;
  border: 1px solid $color_border;
  padding: 0;
}

.bx_filter .bx_filter_title {
  font-size: 21px;
  font-weight: bold;
  margin-bottom: 10px;
  padding: 0 10px;
  color: #000;
  text-shadow: 0 1px 0 #fff;

}

.bx_filter .bx_filter_button_box,
.bx_filter .bx_filter_parameters_box {
  margin-bottom: 0;
  padding: 0;
}

.bx_filter .bx_filter_button_box {
  padding-top: 25px;
  clear: both;
}

.bx_filter.bx_horizontal .bx_filter_parameters_box {
  float: left;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  width: 25%;
  padding: 0 1rem;
}

.bx_filter.bx_horizontal .bx_filter_parameters_box:nth-child(4n+2) {
  clear: both;
}

@media (max-width: 860px) {
  .bx_filter.bx_horizontal .bx_filter_parameters_box {
    width: 33.333%;
  }
  .bx_filter.bx_horizontal .bx_filter_parameters_box:nth-child(4n+2) {
    clear: none;
  }
  .bx_filter.bx_horizontal .bx_filter_parameters_box:nth-child(3n+2) {
    clear: both;
  }
}

@media (max-width: 640px) {
  .bx-touch .bx_filter.bx_horizontal .bx_filter_parameters_box {
    width: 50%;
  }
  .bx-touch .bx_filter.bx_horizontal .bx_filter_parameters_box:nth-child(4n+2) {
    clear: none;
  }
  .bx-touch .bx_filter.bx_horizontal .bx_filter_parameters_box:nth-child(3n+2) {
    clear: none;
  }
  .bx-touch .bx_filter.bx_horizontal .bx_filter_parameters_box:nth-child(2n+2) {
    clear: both;
  }
}

@media (max-width: 450px) {
  .bx-touch .bx_filter.bx_horizontal .bx_filter_parameters_box {
    float: none;
    width: 100%;
  }
  .bx-touch .bx_filter.bx_horizontal .bx_filter_parameters_box:nth-child(4n+2) {
    clear: none;
  }
  .bx-touch .bx_filter.bx_horizontal .bx_filter_parameters_box:nth-child(3n+2) {
    clear: none;
  }
  .bx-touch .bx_filter.bx_horizontal .bx_filter_parameters_box:nth-child(2n+2) {
    clear: none;
  }
}

.bx_filter .bx_filter_parameters_box_title {
  display: inline-block;
  margin-bottom: 0;
  padding: 17px 35px;
  font-size: 15px;
  cursor: pointer;
  position: relative;
}

.bx_filter .bx_filter_parameters_box_title .bx_filter_arrow {
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAwAAAAOCAQAAACxtDVnAAAAhklEQVR42mNgWsSky4AGmHSBogwFDL1M9sjCQF4vUBTI4GRaxxQCFw5h2sjECeOwMc1hygSzMoEsNlRzu5gamVqYuhgwAdNypuUM1AFMa5jmQViYlk9gakcVZAY6Mh/MymFaBHEuxIMrmGKRPLidiQfE4AEyvFH02zAdYJIDBaINhn0qTIsALm0Xlp51knQAAAAASUVORK5CYII=) no-repeat;
  display: inline-block;
  width: 12px;
  height: 7px;
  margin-left: 3px;
  background-size: 85%;
}

.bx_filter .bx_filter_parameters_box.active .bx_filter_parameters_box_title .bx_filter_arrow {
  background-position: 0 100%;
}

.bx_filter .bx_filter_block {
  display: none;
  padding: 0;
  padding: 0 32px;
  padding-right: 20px;
  border-bottom: 1px solid $color_border;
}

.bx_filter .bx_filter_button_box .bx_filter_block,
.bx_filter .bx_filter_parameters_box.active .bx_filter_block {
  // padding: 0 32px;
  // padding-right: 20px;
  display: block;
}

.mobile_filter_form .bx_filter .bx_filter_parameters_box_container {
    padding-left: 0;
}

/*bx_filter_param_area => bx_filter_parameters_box_container*/
.bx_filter .bx_filter_parameters_box_container {
  margin-bottom: 20px;

  & .bx_ui_slider_track {
    margin: 3.4rem 15px 2rem 13px;
  }

//   & .bx-filter-select-container {
//     margin-left: 6px;
//     margin-right: 6px;
//   }

  & .bx_filter_parameters_box_container_block_wrapper {
    margin: 0;
    display: flex;
    justify-content: space-between;

    & .popup-window-hr {
      width: 24px;
      margin: 20px 0 0 0;
      height: 20px;
      display: none;
    }

    & .bx_filter_parameters_box_container_block {
      margin: 0;

      &:nth-child(1) {
        margin: 0;
      }
    }
  }
}

.bx-filter-select-popup {
  width: 172px;

  & label {
    overflow: hidden;
    text-overflow: ellipsis;
  }

  & label:hover {
    color: $main_color;
  }
}

/*bx_filter_param_area_block => bx_filter_parameters_box_container_block*/
.bx_filter .bx_filter_parameters_box_container_block {
  font-size: 11px;
  float: left;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  width: 40%;
  color: #3f3f3f;
}

.bx_filter .bx_filter_parameters_box_container .bx_filter_parameters_box_container_block:nth-child(2) {
  text-align: right;
  margin-left: 35px;
}

/*bx_input_container => bx_filter_input_container*/

.bx_filter .bx_filter_parameters_box_container .bx_filter_parameters_box_container_block:nth-child(1) {
  // padding-right: 5px;
  //margin-right: 38px;
}

// .bx_filter .bx_filter_parameters_box_container .bx_filter_parameters_box_container_block:nth-child(2){
// 	padding-left: 5px;
// }


.bx_filter .bx_filter_parameters_box_container .bx_filter_input_container input {
  margin-left: 3px;
  width: 100%;
  height: 2.8rem;
  border: 1px solid $color_border;
  color: #000000;
  text-align: left;
  padding-left: 16px;

  &::placeholder {
    color: #807f7f;
  }
}


.bx_filter .bx_filter_parameters_box_container .bx_filter_calendar_container {
  max-width: 100%;
  position: relative;
}

.bx_filter .bx_filter_parameters_box_container .bx_filter_calendar_container input.calendar {
  padding: 0 23px 0 4px;
  font-size: 15px;
}

.bx_filter .bx_filter_parameters_box_container .bx_filter_input_container img.calendar-icon {
  display: block;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  position: absolute;
  font-size: 18px;
  top: 7px;
  right: 3px;
}

/*Track*/
.bx_filter .bx_ui_slider_track {
  position: relative;
  height: 5px;
  margin: 3.4rem 1rem 2rem 1rem;

}

.bx_filter .bx_ui_slider_part {
  position: absolute;
  top: -6px;

}

.bx_filter .bx_ui_slider_part.p1 {
  left: 6px;
}

.bx_filter .bx_ui_slider_part.p2 {
  left: 25%;
}

.bx_filter .bx_ui_slider_part.p3 {
  left: 50%;
}

.bx_filter .bx_ui_slider_part.p4 {
  left: 75%;
}

.bx_filter .bx_ui_slider_part.p5 {
  right: 5px;
}

.bx_filter .bx_ui_slider_part span {
  position: absolute;
  top: -1.8rem;
  left: 50%;
  display: block;
  width: 100px;
  margin-left: -50px;
  text-align: center;
  font-size: 12px;
  color: #000;
}

.bx_filter .bx_ui_slider_part.p2 span,
.bx_filter .bx_ui_slider_part.p3 span,
.bx_filter .bx_ui_slider_part.p4 span {
  display: none;
}

.bx_filter .bx_ui_slider_range,
.bx_filter .bx_ui_slider_pricebar,
.bx_filter .bx_ui_slider_pricebar_VD,
.bx_filter .bx_ui_slider_pricebar_VN,
.bx_filter .bx_ui_slider_pricebar_V {
  position: absolute;
  top: -1px;
  bottom: -1px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.bx_filter .bx_ui_slider_range {
  z-index: 85;
}

.bx_filter .bx_ui_slider_pricebar {
  z-index: 100;
}

.bx_filter .bx_ui_slider_pricebar_VD {
  z-index: 60;
  border-top: 1px solid #74868e;
  border-bottom: 1px solid #74868e;
  background: #849da4;
  background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iIzg0OWRhNCIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiM5M2FmYjciIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
  //background:-webkit-gradient(linear, left top, left bottom, color-stop(0%,#849da4), color-stop(100%,#93afb7));
  //background:-webkit-linear-gradient(top, #849da4 0%,#93afb7 100%);
  //background:   -moz-linear-gradient(top, #849da4 0%,#93afb7 100%);
  //background:    -ms-linear-gradient(top, #849da4 0%,#93afb7 100%);
  //background:     -o-linear-gradient(top, #849da4 0%,#93afb7 100%);
  //background:        linear-gradient(top bottom, #849da4 0%,#93afb7 100%);

  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#849da4', endColorstr='#93afb7', GradientType=0);
}

.bx_filter .bx_ui_slider_pricebar_VN {
  z-index: 70;
  border-radius: 5px;
  background: #e4e4e4;

  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#6eccea', endColorstr='#73d6f6', GradientType=0);
}

.bx_filter .bx_ui_slider_pricebar_V {
  z-index: 80;
  top: -1px;
  bottom: -1px;
  background: $main_color;
}


.bx_filter .bx_ui_slider_handle {
  position: absolute;
  top: 100%;
  width: 22px;
  height: 22px;
}

.bx_filter .bx_ui_slider_handle:hover {
  -webkit-cursor: grab;
  -ms-cursor: grab;
  -o-cursor: grab;
  cursor: grab;
}

.bx_filter .bx_ui_slider_handle:active {
  -webkit-cursor: grabbing;
  -ms-cursor: grabbing;
  -o-cursor: grabbing;
  cursor: grabbing;
}

.bx_filter .bx_ui_slider_handle.left {
  left: 0;
  margin-left: -10px;
  margin-top: -13px;
  background: #ffffff;
  height: 20px;
  width: 20px;
  border-radius: 50px;
  border: 1px solid #a4a4a4;
  transition: all 0s !important;
}

.bx_filter .bx_ui_slider_handle.right {
  right: 0;
  margin-right: -10px;
  margin-top: -13px;
  background: #ffffff;
  height: 20px;
  width: 20px;
  border-radius: 50px;
  border: 1px solid #a4a4a4;
  transition: all 0s !important;
}

/*
*	Select
*
*/


.bx_filter .bx_filter_select_container {
  display: inline-block;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  height: 35px;
  padding: 1px;
  border-radius: 3px;
  background: #8ca3ae;
  //background:        linear-gradient(top bottom, #8ca3ae 0%,#b6c8d2 100%);
  box-shadow: 0 1px 0 0 rgba(255, 255, 255, .75);

  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#8ca3ae', endColorstr='#b6c8d2', GradientType=0);
}

.bx_filter .bx_filter_select_block {
  position: relative;
  display: block;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  width: 100%;
  height: 33px;
  margin: 0;
  padding: 0 33px 0 10px;
  border: none;
  border-radius: 2px;
  background: #fff;
  box-shadow: inset 0 3px 6px 0 rgba(215, 215, 215, .75);
}

.bx_filter .bx_filter_select_text {
  font-size: 15px;
  line-height: 33px;
  overflow: hidden;
  max-width: 100%;
  height: 33px;
  cursor: pointer;
  vertical-align: middle;
  white-space: nowrap;
  text-overflow: ellipsis;
  -ms-text-overflow: ellipsis;
}

.bx_filter .bx_filter_select_text.fix {
  min-width: 120px;
}

.bx_filter .bx_filter_select_text label {
  cursor: pointer;
}

.bx_filter .bx_filter_select_arrow {
  position: absolute;
  top: 0;
  right: 0;
  width: 34px;
  height: 33px;
  cursor: pointer;
  background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAcAAAAECAYAAABCxiV9AAAAG0lEQVQY02OYOXPmf1yYAQRwSsAATglkBch8ADy7LKHqFrgoAAAAAElFTkSuQmCC') no-repeat center;
}

/*
*	Select popup
*
*/
.bx_filter_select_popup {
  padding: 0;
}

.bx_filter_select_popup ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.bx_filter_select_popup ul li {
  display: block;
  text-align: left;
  vertical-align: middle;
}

.bx_filter_select_popup ul li:first-child {
  border-bottom: 1px solid #e5e5e5;
  padding-bottom: 5px;
  margin-bottom: 5px;
}

.bx_filter_select_popup ul li label {
  font-size: 14px;
  line-height: 26px;
  display: block;
  text-align: left !important;
  overflow: hidden;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  width: 100%;
  height: 26px;
  padding: 0 5px;
  cursor: pointer;
  vertical-align: middle;
  white-space: nowrap;
  text-overflow: ellipsis;
  -ms-text-overflow: ellipsis;
  color: #575757;
}

.bx_filter_select_popup ul li label.selected,
.bx_filter_select_popup ul li label:hover {
  color: #000;
  background: #f3f8fa;
}

.bx_filter_select_popup ul li label.disabled {
  color: #b8b8b8;
  background: transparent;
}

.bx_filter_select_popup ul li .bx_filter_param_text {
  line-height: 26px !important;
}

/*
* TAGS
*
*/
.bx_filter.bx_horizontal .bx_filter_parameters_box.tags {
  width: 100%;
  clear: both
}

.bx_filter .bx_filter_tag {
  padding: 18px;
  border: 1px solid #aed5e0;
  border-radius: 5px;
  background: rgba(151, 214, 233, .33);
}

.bx_filter .bx_tag_link {
  font-size: 12px;
  text-decoration: none;
  color: #68939e;
  border-bottom: 1px solid;
  text-shadow: none;
}

.bx_filter .bx_tag_link.active,
.bx_filter .bx_tag_link:hover {
  color: #1d3d46;
  border-bottom: none;
}

/*
*	LABEL
*
*/
.bx_filter .bx_filter_param_label {
  font-size: 13px;
  position: relative;
  display: block;
  text-align: left;
  margin-bottom: 5px;
  margin-right: 5px;
}

.bx_filter .bx_filter_param_label.dib {
  display: inline-block;
}

.bx_filter .bx_filter_param_text {
  line-height: 34px;
  position: relative;
  display: inline-block;
  margin: 0 5px;
  vertical-align: middle;
  text-align: center;
  cursor: pointer;
}

.bx_filter .bx_filter_param_label.disabled .bx_filter_param_text {
  color: #6c6c6c;
  /*text-decoration: line-through;*/
}

.bx_filter_select_popup .bx_filter_param_label.active {
  background: #f3f8fa;
}

/*
*	Checkbox / Radio
*
*/
.bx_filter .bx_filter_input_checkbox {
  position: relative;
  display: block;
  clear: both;
  overflow: hidden;
  min-height: 20px;
  padding-top: 5px;
  padding-bottom: 5px;
}

.bx_filter .bx_filter_input_checkbox input[type=radio],
.bx_filter .bx_filter_input_checkbox input[type=checkbox] {
  position: relative;
  top: -3px;
  float: left;
}

.bx_filter .bx_filter_input_checkbox .bx_filter_param_text {
  display: block;
  line-height: 15px;
  margin-left: 25px;
  text-align: left;
}

/*
* 	BTN
*
*/
.bx_filter .bx_filter_param_btn {
  display: inline-block;
  width: 34px;
  height: 34px;
  text-align: center;
  text-decoration: none;
  color: #000;
  vertical-align: middle;
  border: 1px solid #9dbcc3;
  border-radius: 3px;
  background: #fbfdfd;
  background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2ZiZmRmZCIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNjZmUxZTciIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
  //background:-webkit-gradient(linear, left top, left bottom, color-stop(0%,#fbfdfd), color-stop(100%,#cfe1e7));
  //background:-webkit-linear-gradient(top, #fbfdfd 0%,#cfe1e7 100%);
  //background:   -moz-linear-gradient(top, #fbfdfd 0%,#cfe1e7 100%);
  //background:    -ms-linear-gradient(top, #fbfdfd 0%,#cfe1e7 100%);
  //background:     -o-linear-gradient(top, #fbfdfd 0%,#cfe1e7 100%);
  //background:        linear-gradient(top bottom, #fbfdfd 0%,#cfe1e7 100%);
  background-clip: padding-box;
  box-shadow: 0 1px 0 rgba(0, 0, 0, .1), inset 0 0 0 1px rgba(255, 255, 255, .22);
  text-shadow: 0 1px 0 #fff;
  //filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fbfdfd', endColorstr='#cfe1e7',GradientType=0 );
  -webkit-transition: border .3s ease, box-shadow .1s ease, color .3s ease;
  -moz-transition: border .3s ease, box-shadow .1s ease, color .3s ease;
  -ms-transition: border .3s ease, box-shadow .1s ease, color .3s ease;
  -o-transition: border .3s ease, box-shadow .1s ease, color .3s ease;
  transition: border .3s ease, box-shadow .1s ease, color .3s ease;
  cursor: pointer;
}

.bx_filter .bx_filter_param_btn:hover {
  border-color: #b4d5de
}

.bx_filter .bx_filter_param_btn:active,
.bx_filter .bx_filter_param_label.active .bx_filter_param_btn {
  border-color: #b4d5de;
  background: #fcfefe;
  background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2ZjZmVmZSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNjZmUyZTciIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
  //background:-webkit-gradient(linear, left top, left bottom, color-stop(0%,#feffff), color-stop(100%,#cfe2e7));
  //background:-webkit-linear-gradient(top, #fcfefe 0%,#feffff 100%);
  //background:   -moz-linear-gradient(top, #fcfefe 0%,#feffff 100%);
  //background:    -ms-linear-gradient(top, #fcfefe 0%,#feffff 100%);
  //background:     -o-linear-gradient(top, #fcfefe 0%,#feffff 100%);
  //background:        linear-gradient(top bottom, #fcfefe 0%,#cfe2e7 100%);
  //filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fcfefe', endColorstr='#feffff',GradientType=0 );
  box-shadow: 0 0 0 3px #2995d7, inset 0 2px 3px rgba(0, 0, 0, .12);
}

/* --- colors */
.bx_filter .bx_filter_param_btn.bx_color_sl {
  /*width:24px;*/
  /*padding:0 1px;*/
}

.bx_filter .bx_filter_param_label.disabled .bx_filter_param_btn.bx_color_sl {
  background: transparent;
  box-shadow: none
}

.bx_filter .bx_filter_param_label.disabled .bx_filter_param_btn.bx_color_sl {
  position: relative;
}

.bx_filter .bx_filter_param_label.disabled .bx_filter_param_btn.bx_color_sl:before {
  position: absolute;
  bottom: 0;
  right: 0;
  top: 0;
  left: 0;
  content: ' ';
  /*width: 19px;*/
  /*height:19px;*/
  display: block;
  z-index: 100;
  opacity: .7;
}

/*
* BTN P/M
*
*/
.bx_filter .bx_filter_param_btn.bx_spm {
  width: 23px;
  min-width: 23px;
  height: 23px;
  padding: 0;
  vertical-align: middle;
}

.bx_filter .bx_filter_param_btn.bx_spm.bx_minus {
  //background-image:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAECAIAAADXmFKkAAAAIUlEQVQYV2NgKFmCD5UuYUDno5ElUBWLoUJwUWT0nxAAABiMRP18QPJ4AAAAAElFTkSuQmCC), gradient(#fbfdfd 0%, #cfe1e7 100%);
  //background-image:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAECAIAAADXmFKkAAAAIUlEQVQYV2NgKFmCD5UuYUDno5ElUBWLoUJwUWT0nxAAABiMRP18QPJ4AAAAAElFTkSuQmCC),	  -o-linear-gradient(#fbfdfd 0%, #cfe1e7 100%);
  //background-image:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAECAIAAADXmFKkAAAAIUlEQVQYV2NgKFmCD5UuYUDno5ElUBWLoUJwUWT0nxAAABiMRP18QPJ4AAAAAElFTkSuQmCC),		 linear-gradient(#fbfdfd 0%, #cfe1e7 100%);
  background-repeat: no-repeat, repeat;
  background-position: center 10px, center;
}

.bx_filter .bx_filter_param_btn.bx_spm.bx_plus {
  //background-image:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAMCAYAAAC0qUeeAAAATElEQVQoz2NgQAclS/7DMUEAVriYWMVQhSCaKJNLcTmjFMmNyBibOFgQLrEYu0a4YrCCxbhNQxb7jwaQFWLIUR7OpUtIDWciFONzIwAP8KL1rVnYDQAAAABJRU5ErkJggg==), gradient(#fbfdfd 0%, #cfe1e7 100%);
  //background-image:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAMCAYAAAC0qUeeAAAATElEQVQoz2NgQAclS/7DMUEAVriYWMVQhSCaKJNLcTmjFMmNyBibOFgQLrEYu0a4YrCCxbhNQxb7jwaQFWLIUR7OpUtIDWciFONzIwAP8KL1rVnYDQAAAABJRU5ErkJggg==),	  -o-linear-gradient(#fbfdfd 0%, #cfe1e7 100%);
  //background-image:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAMCAYAAAC0qUeeAAAATElEQVQoz2NgQAclS/7DMUEAVriYWMVQhSCaKJNLcTmjFMmNyBibOFgQLrEYu0a4YrCCxbhNQxb7jwaQFWLIUR7OpUtIDWciFONzIwAP8KL1rVnYDQAAAABJRU5ErkJggg==),		 linear-gradient(#fbfdfd 0%, #cfe1e7 100%);
  background-repeat: no-repeat, repeat;
  background-position: center 6px, center;
}

.bx_filter .bx_filter_param_btn.bx_spm:active {
  outline: none !important;
  box-shadow: inset 0 2px 3px rgba(0, 0, 0, .12);
}

.bx_filter span.bx_spm {
  font-size: 18px;
  font-weight: bold;
  line-height: 23px;
  display: inline-block;
  height: 23px;
  margin: 0 10px;
  vertical-align: middle;
  color: #000;
}

/*
*	icon
*
*/
.bx_filter_select_popup .bx_filter_select_text_icon,
.bx_filter .bx_filter_select_text_icon {
  line-height: 33px;
  position: relative;
  display: inline-block;
  width: 24px;
  height: 24px;
  margin-top: -2px;
  margin-right: 2px;
  vertical-align: middle;
  border-radius: 2px;
}

.bx_filter_select_popup .bx_filter_btn_color_icon,
.bx_filter .bx_filter_btn_color_icon {
  line-height: 24px;
  position: relative;
  top: 5px;
  border-radius: 2px;
  display: inline-block;
  width: 24px;
  height: 24px;
  vertical-align: middle;
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, .2);
  -webkit-background-size: cover;
  background-size: cover;
}

.bx_filter_select_popup .bx_filter_btn_color_icon {
  width: 20px;
  height: 20px;
  margin: 2px 0;
  top: 0 !important;
}

.bx_filter .bx_filter_select_block .bx_filter_btn_color_icon {
  top: -1px !important;
}

.bx_filter_btn_color_icon.all {
  position: relative;
  border: none;
  box-shadow: none
}

.bx_filter_btn_color_icon.all:after,
.bx_filter_btn_color_icon.all:before {
  position: absolute;
  width: 60%;
  height: 60%;
  background: #fff;
  content: " ";
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, .2);
}

.bx_filter_btn_color_icon.all:after {
  right: 0;
  bottom: 0;
}

.bx_filter_btn_color_icon.all:before {
  top: 0;
  left: 0;
}

.bx_filter .bx_filter_param_label.disabled .bx_filter_btn_color_icon {
  opacity: .2;
}

/*
* 	BIZ
*
*/
.bx_filter .bx_filter_parameter_biz {
  font-size: 15px;
  display: inline-block;
  margin-right: 10px;
  text-decoration: none;
  color: #215968;
  border-bottom: 1px dashed;
}

.bx_filter .bx_filter_parameter_biz:hover {
  text-decoration: none;
  border-bottom: 1px solid;
}

.bx_filter .bx_filter_parameter_biz.active {
  position: relative;
  padding-left: 20px;
  color: #d54a4a;
  border-bottom: 1px solid;
}

.bx_filter .bx_filter_parameter_biz.active:hover {
  border-bottom: 1px dashed;
}

.bx_filter .bx_filter_parameter_biz.active:before {
  position: absolute;
  top: 4px;
  left: 1px;
  display: block;
  width: 13px;
  height: 13px;
  content: ' ';
  background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAAMCAYAAAC5tzfZAAABFElEQVQoz2NgIBJcl+Qzui7J33Vdgo+RWA38NxQknwDp/zekhRoIarghyc94Q15iC5D+f1NJ5v/n7dumE7ZFWqgYbANQ08c1a37+///fAL8GCT7L6zLCf0CaXjbUAdX/j0aWdAJKTACaxookJnJTUeoFyIaHIYH////8ORHZzdw35MTegyRvSAkeAdISYH8oSu4Fid0x0f//5/nzo0BbWOCagBzur0ePvrujp/kf5Aygc54DbZkDYt9UkPj/7czpl0A1ohhuBwra/Lp//809Zwewh8GagfSHpUt+A+VMcXoaKKn45+PHK0/iY8EaX1SUgzyeRDB4gYp4//3+veX9/Hn//379OpPY1ALSyAzEOUDMhksNAKf2po+AEPuKAAAAAElFTkSuQmCC') no-repeat center left;
}

/*
*	BTN result and reset
*
*/
.bx_filter .bx_filter_search_button {
  cursor: pointer;
  outline: none;
  line-height: 39px;
  display: inline-block;
  height: 40px;
  width: 45%;
  padding: 0 0.5rem;
  text-decoration: none;
  color: #ffffff;
  border: 1px solid $main_color;
  background: $main_color;
  transition: 0.3s;

  &:hover {
    border: 1px solid $main_color_hover;
    background: $main_color_hover;
  }
}


.bx_filter .bx_filter_search_button:active {
  // position:relative;
  // bottom:-1px;
  // background:#e4f1f5;
  // background:url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2U0ZjFmNSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNmOWZhZmEiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
  //background:-webkit-gradient(linear, left top, left bottom, color-stop(0%,#e4f1f5), color-stop(100%,#f9fafa));
  //background:-webkit-linear-gradient(top, #e4f1f5 0%,#f9fafa 100%);
  //background:   -moz-linear-gradient(top, #e4f1f5 0%,#f9fafa 100%);
  //background:    -ms-linear-gradient(top, #e4f1f5 0%,#f9fafa 100%);
  //background:     -o-linear-gradient(top, #e4f1f5 0%,#f9fafa 100%);
  //background:        linear-gradient(top bottom, #e4f1f5 0%,#f9fafa 100%);
  // box-shadow:inset 0 1px 2px 0 rgba(0,0,0,.08) ;

  //filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e4f1f5', endColorstr='#f9fafa',GradientType=0 );
}

.bx_filter .bx_filter_search_reset {
  cursor: pointer;
  outline: none;
  line-height: 39px;
  display: inline-block;
  height: 40px;
  padding: 0 0.5rem;
  width: 45%;
  text-decoration: none;
  color: $main_color;
  border: 1px solid $main_color;
  background: transparent;
  transition: 0.3s;
}


.bx_filter .bx_filter_search_reset:active {
  position: relative;
  bottom: -1px;
  /*box-shadow: inset 0 1px 2px 0 rgba(0,0,0,0.08) ;*/
}

/*
* 	Result Popup
*
*/
.bx_filter .bx_filter_popup_result {
  // line-height: 4.5rem;
  height: 38px;
  position: absolute;
  z-index: 930;
  display: none;
  padding: 0;
  white-space: nowrap;
  color: #3f3f3f;
  // border: 1px solid #ededed;
  background: $main_color;
  box-shadow: 0 5px 9.7px 0.3px rgba(0, 0, 0, 0.15);

  // &::after {
  //     content: "";
  //     position: absolute;
  //     width: 14px;
  //     height: 10px;
  //     top: 17px;
  //     left: -5px;
  //     transform: rotate(45deg);
  //     transform: skew(45deg) rotate(-22deg);
  //     background-color: $main_color;
  // }

  .product-card_icon-check {
    display: none;
  }

  .fa-check {
    display: none;
    color: #29ad2e;
  }

  & .popup_result_info {
    color: #fff;
    line-height: 38px;
  }

  & .popup_result_btns {
    line-height: 38px;
  }

  & .popup_result__close {
    position: relative;
    display: inline-block;
    width: 12px;
    height: 12px;
    margin-left: 13px;
    margin-right: 14px;
    cursor: pointer;

    &::before {
      content: "";
      position: absolute;
      height: 1px;
      width: 15px;
      left: 0;
      top: 50%;
      transform: rotate(45deg);
      background-color: #fff;
    }

    &::after {
      content: "";
      position: absolute;
      height: 1px;
      width: 15px;
      left: 0;
      top: 50%;
      transform: rotate(-45deg);
      background-color: #fff;
    }
  }
}

.bx_filter .bx_filter_popup_result .arrow {
  position: absolute;
  top: 50%;
  width: 8px;
  height: 14px;
  margin-top: -7px;
}

.bx_filter.bx_horizontal .bx_filter_popup_result {
  position: static !important;
  display: inline-block
}

.bx_filter.bx_horizontal .bx_filter_popup_result .arrow {
  display: none;
}

.bx_filter .bx_filter_popup_result.right {
  left: 106%;

  &::after {
    content: "";
    position: absolute;
    width: 14px;
    height: 10px;
    top: calc(50% - 3px);
    left: -5px;
    transform: skew(45deg) rotate(-22deg);
    background-color: $main_color;
  }
}

.bx_filter .bx_filter_popup_result.left {
  right: 106%;

  &::after {
    content: "";
    position: absolute;
    width: 14px;
    height: 10px;
    top: calc(50% - 6px);
    left: calc(100% - 9px);
    transform: skew(45deg) rotate(-22deg);
    background-color: $main_color;
  }
}

.bx_filter .bx_filter_popup_result a {
  text-align: center;
  display: inline-block;
  height: 100%;
  padding: 0;
  margin-left: 0;
  padding-left: 10px;
  text-decoration: none;
  color: #ffffff;
  padding-right: 15px;
  background: $main_color;
}

.bx_filter .bx_filter_popup_result a:hover {
  text-decoration: underline;
}

.bx_filter .bx_filter_popup_result_close {
  display: none;
}

@media (max-width: 530px) {
  .bx-touch .bx_filter .bx_filter_popup_result {
    font-size: 12px;
    line-height: 14px;
    position: fixed !important;
    z-index: 1001;
    top: auto !important;
    right: 0 !important;
    bottom: 0 !important;
    left: 0 !important;
    margin-top: 0;
    margin-left: 0;
    width: auto;
    height: auto;
    padding: 10px;
    border-radius: 0;
    box-shadow: 0 -2px 5px 0 rgba(0, 0, 0, .1);
  }
  .bx_filter .bx_filter_popup_result .arrow {
    display: none;
  }
  .bx-touch .bx_filter .bx_filter_popup_result_close {
    position: absolute;
    top: 50%;
    right: 10px;
    display: block;
    width: 22px;
    height: 22px;
    margin-top: -11px;
    background-size: 16px;
  }
}


.checkbox__input {
  position: absolute;
  width: 0;
  height: 0;
  margin: 0;
  padding: 0;
  opacity: 0;
}


.checkbox__label {
  color: rgba(0, 0, 0, 0.87);
  position: relative;
  cursor: pointer;
  padding-left: 2rem;
  line-height: 1.7;
  font-weight: normal;
  overflow: hidden;
  text-overflow: ellipsis;

  &:hover {
    color: $main_color;
  }

  & a {
    text-decoration: underline;
    transition: all 0.2s ease-in-out;
    vertical-align: middle;
  }

  & a:hover {
    text-decoration: underline;
  }
}

.popup-content {

  .confidential-field {

    .checkbox__label {
      margin: 0;

      a {
        vertical-align: inherit;
      }
    }
  }
}

.checkbox__label:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 17px;
  height: 17px;
  margin: 3px;
  border: 1px solid rgba(0, 0, 0, 0.3);
}

.filter-size .type-checkbox {

  & label {
    min-height: auto;
    line-height: 1.7;
  }

  .checkbox__label:before {
    content: '';
    position: absolute;
    top: calc(50% - 12px);
    left: 0;
    width: 17px;
    height: 17px;
    margin: 3px;
    border: 1px solid rgba(0, 0, 0, 0.3);
  }
}

.filter-size .type-checkbox {

    & label {
        min-height: auto;
        line-height: 1.7;
    }
    .checkbox__label:before {
        content: '';
        position: absolute;
        top: calc(50% - 12px);
        left: 0;
        width: 17px;
        height: 17px;
        margin: 3px;
        border: 1px solid rgba(0, 0, 0, 0.3);
    }
}


.checkbox__input:checked ~ .checkbox__label:before {
  background-image: url("data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiIHN0YW5kYWxvbmU9Im5vIj8+CjxzdmcKICAgeG1sbnM6ZGM9Imh0dHA6Ly9wdXJsLm9yZy9kYy9lbGVtZW50cy8xLjEvIgogICB4bWxuczpjYz0iaHR0cDovL2NyZWF0aXZlY29tbW9ucy5vcmcvbnMjIgogICB4bWxuczpyZGY9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkvMDIvMjItcmRmLXN5bnRheC1ucyMiCiAgIHhtbG5zOnN2Zz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciCiAgIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIKICAgdmVyc2lvbj0iMS4xIgogICB2aWV3Qm94PSIwIDAgMSAxIgogICBwcmVzZXJ2ZUFzcGVjdFJhdGlvPSJ4TWluWU1pbiBtZWV0Ij4KICA8cGF0aAogICAgIGQ9Ik0gMC4wNDAzODA1OSwwLjYyNjc3NjcgMC4xNDY0NDY2MSwwLjUyMDcxMDY4IDAuNDI5Mjg5MzIsMC44MDM1NTMzOSAwLjMyMzIyMzMsMC45MDk2MTk0MSB6IE0gMC4yMTcxNTcyOSwwLjgwMzU1MzM5IDAuODUzNTUzMzksMC4xNjcxNTcyOSAwLjk1OTYxOTQxLDAuMjczMjIzMyAwLjMyMzIyMzMsMC45MDk2MTk0MSB6IgogICAgIGlkPSJyZWN0Mzc4MCIKICAgICBzdHlsZT0iZmlsbDojZmZmZmZmO2ZpbGwtb3BhY2l0eToxO3N0cm9rZTpub25lIiAvPgo8L3N2Zz4K");
  background-color: $main_color;
  border-color: $main_color;
  -webkit-mask-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxIDEiPjx0aXRsZT51bnRpdGxlZDwvdGl0bGU+PHBhdGggZD0iTTAsMFYxSDFWMEgwWk0wLjQ1LDAuNzRsLTAuMDguMDhMMC4yOCwwLjc0LDAuMTQsMC42bDAuMDgtLjA4TDAuMzYsMC42NWwwLjQxLS40MUwwLjg2LDAuMzJaIi8+PC9zdmc+");
  mask-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxIDEiPjx0aXRsZT51bnRpdGxlZDwvdGl0bGU+PHBhdGggZD0iTTAsMFYxSDFWMEgwWk0wLjQ1LDAuNzRsLTAuMDguMDhMMC4yOCwwLjc0LDAuMTQsMC42bDAuMDgtLjA4TDAuMzYsMC42NWwwLjQxLS40MUwwLjg2LDAuMzJaIi8+PC9zdmc+");
}

.checkbox__label.active:before {
  background-image: url("data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiIHN0YW5kYWxvbmU9Im5vIj8+CjxzdmcKICAgeG1sbnM6ZGM9Imh0dHA6Ly9wdXJsLm9yZy9kYy9lbGVtZW50cy8xLjEvIgogICB4bWxuczpjYz0iaHR0cDovL2NyZWF0aXZlY29tbW9ucy5vcmcvbnMjIgogICB4bWxuczpyZGY9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkvMDIvMjItcmRmLXN5bnRheC1ucyMiCiAgIHhtbG5zOnN2Zz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciCiAgIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIKICAgdmVyc2lvbj0iMS4xIgogICB2aWV3Qm94PSIwIDAgMSAxIgogICBwcmVzZXJ2ZUFzcGVjdFJhdGlvPSJ4TWluWU1pbiBtZWV0Ij4KICA8cGF0aAogICAgIGQ9Ik0gMC4wNDAzODA1OSwwLjYyNjc3NjcgMC4xNDY0NDY2MSwwLjUyMDcxMDY4IDAuNDI5Mjg5MzIsMC44MDM1NTMzOSAwLjMyMzIyMzMsMC45MDk2MTk0MSB6IE0gMC4yMTcxNTcyOSwwLjgwMzU1MzM5IDAuODUzNTUzMzksMC4xNjcxNTcyOSAwLjk1OTYxOTQxLDAuMjczMjIzMyAwLjMyMzIyMzMsMC45MDk2MTk0MSB6IgogICAgIGlkPSJyZWN0Mzc4MCIKICAgICBzdHlsZT0iZmlsbDojZmZmZmZmO2ZpbGwtb3BhY2l0eToxO3N0cm9rZTpub25lIiAvPgo8L3N2Zz4K");
  background-color: $main_color;
  border-color: $main_color;
  -webkit-mask-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxIDEiPjx0aXRsZT51bnRpdGxlZDwvdGl0bGU+PHBhdGggZD0iTTAsMFYxSDFWMEgwWk0wLjQ1LDAuNzRsLTAuMDguMDhMMC4yOCwwLjc0LDAuMTQsMC42bDAuMDgtLjA4TDAuMzYsMC42NWwwLjQxLS40MUwwLjg2LDAuMzJaIi8+PC9zdmc+");
  mask-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxIDEiPjx0aXRsZT51bnRpdGxlZDwvdGl0bGU+PHBhdGggZD0iTTAsMFYxSDFWMEgwWk0wLjQ1LDAuNzRsLTAuMDguMDhMMC4yOCwwLjc0LDAuMTQsMC42bDAuMDgtLjA4TDAuMzYsMC42NWwwLjQxLS40MUwwLjg2LDAuMzJaIi8+PC9zdmc+");
}


.checkbox__input:disabled ~ .checkbox__label {
  color: rgba(0, 0, 0, 0.38);

  & a {
    color: rgba(0, 0, 0, 0.38);
    cursor: auto;
  }
}

.checkbox__input:disabled ~ .checkbox__label:before {
  background-color: rgba(0, 0, 0, 0.1);
  border: 1px solid rgba(0, 0, 0, 0.1);
}

.checkbox__input:checked:disabled ~ .checkbox__label:before {
  background-color: rgba(0, 0, 0, 0.26);
  background-clip: padding-box;
}

.checkbox__label:after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  -webkit-border-radius: 50%;
  border-radius: 50%;
}

.checkbox__input:focus ~ .checkbox__label:after {
  -webkit-animation: click-wave .5s;
  animation: click-wave .5s;

}

.checkbox__input:checked ~ .checkbox__label:after {
  background-color: #2196F3;
}

.checkbox__input:not(:checked) ~ .checkbox__label:after {
  background-color: #000;
}

.bx_filter_block.button {
  padding: 0 26px;
  border: none;

  .bx_filter_parameters_box_container {
    display: flex;
    justify-content: space-between;
  }
}

.bx_filter_parameters_open_all {
  font-size: 0.8rem;
  color: $main_color;
  // border-bottom: 1px solid $main_color;
  cursor: pointer;
  display: inline-block;

  &:hover > .icon-nav_button {
    color: $main_color_hover;
    border-color: $main_color_hover
  }

  & > .icon-nav_button {
    display: inline-block;
    padding-left: 3px;
  }
}

.bx_filter_parameters_open_all {
  & .bx_filter_parameters_open_all_close {
    display: none;
  }

  & .bx_filter_parameters_open_all_open {
    display: inline-block;
    border-bottom: 1px solid $main_color;

    &:hover {
      color: $main_color_hover;
      border-color: $main_color_hover
    }
  }
}

.bx_filter_parameters_open_all.open {
  & .bx_filter_parameters_open_all_close {
    display: inline-block;
    border-bottom: 1px solid $main_color;

    &:hover {
      color: $main_color_hover;
      border-color: $main_color_hover
    }
  }

  & .bx_filter_parameters_open_all_open {
    display: none;
  }

  & > .icon-nav_button {
    position: relative;
    top: 2px;
  }
}


/** select country */

.select_block {
  position: relative;
  margin-bottom: 1.5rem;
}

/** Custom Select **/
.custom-select-wrapper {
  position: relative;
  display: block;
  user-select: none;
}

.custom-select-wrapper select {
  display: none;
}

.custom-select-block {
  position: relative;
  display: block;
}

.custom-select-trigger {
  position: relative;
  display: block;
  width: 100%;
  padding: 0 1rem;
  height: 2rem;
  line-height: 2rem;
  border: 1px solid #e4e4e4;
  cursor: pointer;
  color: rgba(0, 0, 0, 0.5);
}

.custom-select-trigger:after {
  position: absolute;
  display: block;
  content: '';
  width: 10px;
  height: 10px;
  top: calc(50% - 4px);
  right: 1rem;
  margin-top: 0;
  border-bottom: 1px solid #b4b4b4;
  border-right: 1px solid #b4b4b4;
  transform: rotate(45deg);
  transition: all .4s ease-in-out;
}

.custom-select-block.opened .custom-select-trigger:after {
  margin-top: 0;
  transform: rotate(-135deg);
  top: calc(50% - 1px);
}

.custom-options {
  position: absolute;
  display: block;
  top: 100%;
  left: 0;
  right: 0;
  min-width: 100%;
  margin-top: -1px;
  border: 1px solid #e4e4e4;
  box-sizing: border-box;
  box-shadow: 0 2px 1px rgba(0, 0, 0, .07);
  background: #fff;
  transition: all .4s ease-in-out;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transform: translateY(-15px);
  padding: 0 1rem;
}

.custom-select-block.opened .custom-options {
  opacity: 1;
  visibility: visible;
  pointer-events: all;
  transform: translateY(0);
  z-index: 301;
}

.option-hover:before {
  background: #f9f9f9;
}

.custom-option {
  position: relative;
  display: block;
  padding: 0 1rem;
  border-bottom: 1px solid #e4e4e4;
  //color: #b5b5b5;
  line-height: 2rem;
  cursor: pointer;
  transition: all .4s ease-in-out;
}

.custom-option:hover,
.custom-option.selection {
  //background: #f9f9f9;
}

/* end select country */

/* radio buttom */

// .bx_filter_parameters_box_container .radio_container_wrapper {
//     display: flex;
//     flex-wrap: wrap;
// }

.filter-size .radio_container {
	position: relative;
    min-width: 36px;

    & input[type="radio"] + .radio-label:before {
        top: calc(50% - 10px);
    }

    & label {
        min-height: auto;
        line-height: 1.7;
    }

        .radio-label_title {
            display: flex;
            font-weight: normal;
            justify-content: center;
            align-items: center;
            flex-grow: 1;
            padding: 0 10px;
            padding-left: 25px;
        }
        input[type="radio"] {
            position: absolute;
            opacity: 0;
            margin-bottom: 0;

            &:hover + label {
                border-color: transparent;

                span {
                    color: $main_color;
                }
            }
            + .radio-label {
                min-width: 36px;
                display: inline-flex;
                cursor: pointer;
                border: 1px solid transparent;
            }
            &:checked {
                + .radio-label {
                    min-width: 36px;
                    // height: 36px;
                    display: inline-flex;
                    border: 1px solid transparent;
            }

            &:disabled {
                + .radio-label {
                    opacity: 0.4;
                    cursor: inherit;
                }
            }
            + .radio-label {
                &:empty {
                    &:before {
                        margin-right: 0;
                    }
                }
            }
        }
    }
}


.radio_container {
  position: relative;
  margin-bottom: 0;

  .radio-label_title {
    padding-left: 2rem;
    display: block;
    font-weight: normal;
  }

  input[type="radio"] {
    position: absolute;
    opacity: 0;

    + .radio-label {
      //line-height: 1rem;
      &:before {
        content: '';
        background: #ffffff;
        border-radius: 100%;
        border: 2px solid #e3e3e3;
        display: inline-block;
        width: 17px;
        height: 17px;
        position: absolute;
        top: calc(50% - 12px);
        //margin-right: 1rem;
        vertical-align: top;
        cursor: pointer;
        text-align: center;
        transition: all 250ms ease;
      }
    }

    &:checked {
      + .radio-label {
        &:before {
          background-color: $main_color;
          box-shadow: inset 0 0 0 2px $color_radio;
          border: 2px solid $main_color;
        }
      }
    }

    &:focus {
      + .radio-label {
        &:before {
          outline: none;
          border-color: $main_color;
        }
      }
    }

    &:disabled {
      + .radio-label {
        &:before {
          box-shadow: inset 0 0 0 3px $color_radio;
          border-color: darken($color_radio, 25%);
          background: darken($color_radio, 25%);
        }
      }
    }

    + .radio-label {
      &:empty {
        &:before {
          margin-right: 0;
        }
      }
    }
  }
}


/* end radio buttom */

/* color property*/

.bx-filter .bx-filter-param-btn {
  border-radius: 50px;
  width: 27px;
  height: 27px;
  padding: 0;
  border-color: transparent;
  background: none;
}


.bx-sidebar-block .bx-filter .bx-filter-param-btn:hover,
.bx-sidebar-block .bx-filter .bx-filter-param-btn:active,
.bx-sidebar-block .bx-filter .bx-filter-param-btn:focus {
  border: $main_color solid 2px;
}

.bx-filter .bx-filter-btn-color-icon {
  border-radius: 50px;
  display: inline-block;
  width: 25px;
  height: 25px;
  vertical-align: middle;
  box-shadow: none;
  -webkit-background-size: cover;
  background-size: cover;
}

.bx-filter-param-btn-inline.checkboxes_with_pictures input {
  &:checked + .bx-filter-param-label {
    border: $main_color solid 1px;
  }


  &:disabled + .bx-filter-param-label {
    position: relative;
    cursor: default;

    &::before {
      content: "";
      height: 1px;
      width: 22px;
      background-color: #887f81;
      position: absolute;
      transform: rotate(45deg);
      top: 16px;
      left: 5px;
    }

    &::after {
      content: "";
      height: 1px;
      width: 22px;
      background-color: #887f81;
      position: absolute;
      transform: rotate(-45deg);
      top: 16px;
      left: 5px;
    }

    & .bx-filter-btn-color-icon {
      opacity: 0.4;
    }
  }
}

/* end color property*/

/* list property*/

.bx-filter-select-text {
  border: 1px solid #e4e4e4;
  padding: 0.3rem 0.5rem;
  color: #060606;

}

/* end list property*/

.bx_filter .bx-filter-param-btn-inline {
  display: flex;
  flex-wrap: wrap;
}

.bx_filter .bx-filter-param-btn-inline .bx-filter-param-label {
  min-height: 20px;
  margin: 0 0 5px 5px;
  padding: 2px;
  border: 1px solid $color_border;
  cursor: pointer;

  &:hover,
  &:focus,
  &:active {
    border: 1px solid $main_color;
  }
}

.bx_filter .bx-filter-btn-color-icon {
  display: inline-block;
  width: 28px;
  height: 28px;
  vertical-align: middle;
  background-size: cover;
  border: 1px solid $color_border;
}

// .bx_filter .bx-filter-param-label.bx-active .bx-filter-btn-color-icon,
// .bx_filter .bx-filter-btn-color-icon:hover,
// .bx_filter .bx-filter-btn-color-icon:active,
// .bx_filter .bx-filter-btn-color-icon:focus {
//     border: 2px solid $main_color;
//     padding: 2px;
// }

// @media (max-width: 1100px) {
//   .bx_filter .bx_filter_section {
//     padding: 1rem;
//   }
// }

.filter-size label {
  min-width: 38px;
  min-height: 38px;
  margin-bottom: 0.3rem;
  border: 1px solid transparent;
  text-align: center;
  line-height: 38px;
  font-weight: 600 !important;
}

.filter-size input:checked + label {
  border: 1px solid $main_color;
}

.filter-size .type-checkbox {

  & input:checked + label {
    border-color: transparent;
  }

  & input:focus + label {
    border-color: transparent;
  }
}
.filter-size .type-checkbox {

    & input:checked + label {
        border-color: transparent;
    }

    & input:focus + label {
        border-color: transparent;
    }
}
.filter-size input:hover + label {
  border: 1px solid $main_color;
}

.filter-size label span {
  color: #202020;
  cursor: pointer;
}

.filter-size label.bx-active span {
  color: #202020;
}

.filter-size input:disabled + label .bx-filter-param-text {
  color: #c2c2c2;
}

.filter-size .bx-filter-param-text {
  padding-left: 0;
}

@media (min-width: 992px) and (max-width: 1200px) {
  .filter-size .col-xs-12 {
    padding-left: 9px !important;
  }
}

.sotbit-seometa-tags-row-container {
  margin: 33px 0;
  padding: 0;
  margin-bottom: 11px;
  // border: 1px dotted #ededed;
}

.sotbit-seometa-tags-container {
  display: flex;
  flex-wrap: wrap;
  overflow: hidden;
  transition: 0.8s;
  // max-height: 70px;
}

.sotbit-seometa-tags__title,
.sotbit-seometa-tags-column__title {
  // padding-top: 0.1rem;
  // padding-right: 1.25rem;
  margin-right: 10px;
  font-size: 1rem;
  font-weight: bold;
  line-height: 32px;
  align-self: baseline;
}

.sotbit-seometa-tags__hide-wrapper {
  display: flex;
  flex-wrap: wrap;
}

.sotbit-seometa-tags-wrapper {
  margin-right: 10px;
  margin-bottom: 10px;
}

.sotbit-seometa-tag,
.sotbit-seometa-tag-column {
  border: 1px solid #ededed;
  border-radius: 2px;
  transition: 0.1s;

  &:hover {
    border: 1px solid $main_color;
  }

  &:hover a {
    color: $main_color;
  }

  &.active {
    border-color: $main_color;
    background-color: $main_color;
  }

  &.active a {
    color: #fff;
  }

  &.active a:hover {
    color: #fff;
  }
}

.sotbit-seometa-tags-wrapper a,
.sotbit-seometa-tag-column a {
  display: flex;
  padding: 0 10px;
  font-size: 0.9rem;
  line-height: 32px;
  color: #000;
}


.sotbit-seometa-tags__hide {
  cursor: pointer;
}

.sotbit-seometa-tags__hide i {
  padding-top: 1rem;
  padding-left: 0.4rem;
}

.tags-container-hide {
  max-height: none !important;
  transition: 0.8s;
}

.sotbit-seometa-tags-column {
  margin-top: 4rem;
  margin-bottom: 3.5rem;
  padding-top: 2rem;
  padding-bottom: 2rem;
  border-top: 1px solid #ededed;
  border-bottom: 1px solid #ededed;
}

.sotbit-seometa-tags-column-container {
  display: flex;
  flex-wrap: wrap;
  overflow: hidden;
  transition: 0.8s;
}


.sotbit-seometa-tags-column-wrapper {
  margin-right: 10px;
  margin-bottom: 10px;
}

.sotbit-seometa-tag-column a {
  // font-size: 0.8rem;
  // color: #2d387a;
}

.sotbit-seometa-tag-column a:hover {
  // color: #1f2755;
}

.seometa-tags__show, .seometa-tags__hide {
  display: none;
}

.seometa-tags__hide:hover, .seometa-tags__show:hover {
  // color: #1f2755;
}

@media (max-width: 768px) {
  .sotbit-seometa-tags-column-wrapper {
    width: 50%;
  }
}


.catalog_content__filter_horizon_item_wrapper {
  & .catalog_content__filter_horizon_item_inner {
    & .popup-window-hr {
      margin: 0;
      padding: 0;
    }

  }
}

.bx-filter-param--checkbox-pict-label {
  padding-left: 3px;
}


.mobile_filter_form .checkbox__label a {
    text-decoration: none;
}
